# List All Clients Returns a list of all your clients. Endpoint: GET /clients.json Version: 2.0.0 Security: apiKeyAuth ## Query parameters: - `api_key` (string, required) Your API Key. Example: "YOUR_API_KEY" - `page` (integer) You can ask for a specific page of results. Defaults to 1. Example: 1 - `per_page` (integer) You can specify how many results you want to fetch. Defaults to 10 or value defined in account settings (10, 20 or 30). Example: 30 ## Response 200 fields (application/json): - `clients` (array) - `clients.name` (string) Example: "Client Name" - `clients.code` (string) Example: "12345" - `clients.email` (string) Example: "foo@bar.com" - `clients.language` (string) Example: "pt" - `clients.address` (string) Example: "Avenida da República, Lisboa" - `clients.city` (string) Example: "Lisboa" - `clients.postal_code` (string) Example: "1050-555" - `clients.country` (string) Example: "Portugal" - `clients.fiscal_id` (string) Example: "508025338" - `clients.website` (string) Example: "www.invoicexpress.com" - `clients.phone` (string) Example: "213456789" - `clients.fax` (string) Example: "213456788" - `clients.preferred_contact` (object) - `clients.observations` (string) Example: "Observations" - `clients.send_options` (string) Example: "1" - `pagination` (object) - `pagination.total_entries` (integer) Example: 6 - `pagination.current_page` (integer) Example: 1 - `pagination.total_pages` (integer) Example: 1 - `pagination.per_page` (integer) Example: 10 ## Response 401 fields (application/json): - `errors` (object) - `errors.error` (string) Example: "Invalid API key"